Skip to main content
GET
/
webhooks
/
{webhook_id}
/
logs
Get webhook delivery logs
curl --request GET \
  --url https://api.struct.to/v1/webhooks/{webhook_id}/logs
{
  "webhook_id": "<string>",
  "total": 1,
  "logs": [
    {
      "sent_at": "<string>",
      "payload": "<unknown>",
      "event": "<string>",
      "delivery_id": "<string>",
      "attempt": 1,
      "success": true,
      "status_code": 1,
      "latency_ms": 1,
      "url": "<string>",
      "error": "<string>"
    }
  ],
  "pagination": {
    "has_more": true,
    "pagination_key": "<string>"
  }
}

Path Parameters

webhook_id
string
required

Webhook UUID

Query Parameters

limit
integer<int32>

Results per page (default 10, max 250)

from
integer<int64>

Start time, Unix milliseconds (inclusive)

to
integer<int64>

End time, Unix milliseconds (inclusive)

pagination_key
string

Cursor from a previous response

Response

Delivery logs

Response for GET /v1/webhooks/{id}/logs

webhook_id
string
required

The webhook these logs belong to

total
integer
required

Number of log entries returned

Required range: x >= 0
logs
object[]
required

Delivery log entries, newest first

pagination
object
required

Cursor pagination metadata

Last modified on May 31, 2026